# Type alias ModelPattern

ModelPattern: {
configuration_workflow: ((req) => AbstractWorkflow);
hyperparameter_fields: (({ configuration, table, }) => FieldLike[]);
predict: (({ id, model, hyperparameters, fit_object, rows, }) => Promise<GenObj[]>);
prediction_outputs: (({ configuration, }) => FieldLike[]);
train: (({ table, configuration, hyperparameters, state, }) => Promise<any>);
}

#### Type declaration

- ##### configuration_workflow: ((req) => AbstractWorkflow)

  - - (req): AbstractWorkflow

    - #### Parameters

      - ##### req: Req

      #### Returns AbstractWorkflow

- ##### hyperparameter_fields: (({ configuration, table, }) => FieldLike[])

  - - ({ configuration, table, }): FieldLike[]

    - #### Parameters

      - ##### { configuration, table, }: {
        configuration: GenObj;
        table: AbstractTable;
        }

        - ##### configuration: GenObj

        - ##### table: AbstractTable

      #### Returns FieldLike[]

- ##### predict: (({ id, model, hyperparameters, fit_object, rows, }) => Promise<GenObj[]>)

  - - ({ id, model, hyperparameters, fit_object, rows, }): Promise<GenObj[]>

    - #### Parameters

      - ##### { id, model, hyperparameters, fit_object, rows, }: {
        fit_object: any;
        hyperparameters: GenObj;
        id: number;
        model: {
        configuration: GenObj;
        };
        rows: Row[];
        }

        - ##### fit_object: any

        - ##### hyperparameters: GenObj

        - ##### id: number

        - ##### model: {
          configuration: GenObj;
          }

          - ##### configuration: GenObj

        - ##### rows: Row[]

      #### Returns Promise<GenObj[]>

- ##### prediction_outputs: (({ configuration, }) => FieldLike[])

  - - ({ configuration, }): FieldLike[]

    - #### Parameters

      - ##### { configuration, }: {
        configuration: GenObj;
        }

        - ##### configuration: GenObj

      #### Returns FieldLike[]

- ##### train: (({ table, configuration, hyperparameters, state, }) => Promise<any>)

  - - ({ table, configuration, hyperparameters, state, }): Promise<any>

    - #### Parameters

      - ##### { table, configuration, hyperparameters, state, }: {
        configuration: GenObj;
        hyperparameters: GenObj;
        state: GenObj;
        table: AbstractTable;
        }

        - ##### configuration: GenObj

        - ##### hyperparameters: GenObj

        - ##### state: GenObj

        - ##### table: AbstractTable

      #### Returns Promise<any>

- Defined in saltcorn-types/base_types.ts:452

Generated using TypeDoc